variable "enabled" { 
  description = "Set to false to do nothing"
  type = bool 
  default = true
}

variable "reverse_enabled" { 
  description = "Set to false to skip creation of reverse DNS. This can be useful when first creating resources when the private IP cannot be determined. 'enabled' must be true as well."
  type = bool 
  default = true
}

variable "name" { type = string }
variable "target_dns_names" { type = list(string) }
variable "dns_info" { type = map }
